package servlet;

import com.fasterxml.jackson.databind.ObjectMapper;
import pojo.Users;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

/**
 * 通过JSON格式响应多个读一下
 */
@WebServlet("/multiple.do")
public class MultipleObjectServlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        Users users1=new Users();
        users1.setUsername("olsd");
        users1.setUserid(1);
        Users users2=new Users();
        users2.setUsername("itbz");
        users2.setUserid(2);
        //创建集合
        List<Users> list=new ArrayList<>();
        list.add(users1);
        list.add(users2);

        //转换成JSON格式
        ObjectMapper objectMapper=new ObjectMapper();
        String string = objectMapper.writeValueAsString(list);
        resp.setContentType("application/json");
        PrintWriter pw=resp.getWriter();
        pw.print(string);
        pw.flush();
        pw.close();

    }
}
